ReadySetGoParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ReadySetGoParserInternal::State Struct Reference

Internal: the state of a ReadySetGoParser. More...

## Public Member Functions
| State ()
| constructor More...
void | initColors ()
| init the color's list More...
void | initPatterns ()
| init the patterns' list More...
bool | get (int id, MWAWGraphicStyle::Pattern &pat)
| try to retrieve a pattern More...

## Public Attributes
int | m_version
| the file version, used to define the patterns, ... More...
int | m_numLayouts
| the number of layouts: used for v3 More...
int | m_numGlossary
| the number of glossary: used for v4 More...
int | m_numStyles
| the number of styles: v4 More...
bool | m_hasCustomColors
| a flag to know if the document has custom colors: v5 More...
std::vector< Layout > | m_layouts
| the list of shapes More...
std::vector< MWAWColor > | m_colors
| the list of colors: v45 More...
std::vector< MWAWGraphicStyle::Pattern > | m_patterns
| the list of patterns: v3 More...

## Detailed Description

Internal: the state of a ReadySetGoParser.

## Constructor & Destructor Documentation

## ◆ State()

ReadySetGoParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ get()

bool ReadySetGoParserInternal::State::get | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pat
| ) |  |
| inline

try to retrieve a pattern

## ◆ initColors()

void ReadySetGoParserInternal::State::initColors | ( |  | ) |

init the color's list

## ◆ initPatterns()

void ReadySetGoParserInternal::State::initPatterns | ( |  | ) |

init the patterns' list

Referenced by get().

## Member Data Documentation

## ◆ m_colors

std::vector<MWAWColor> ReadySetGoParserInternal::State::m_colors

the list of colors: v45

Referenced by initColors().

## ◆ m_hasCustomColors

bool ReadySetGoParserInternal::State::m_hasCustomColors

a flag to know if the document has custom colors: v5

## ◆ m_layouts

std::vector<Layout> ReadySetGoParserInternal::State::m_layouts

the list of shapes

## ◆ m_numGlossary

int ReadySetGoParserInternal::State::m_numGlossary

the number of glossary: used for v4

## ◆ m_numLayouts

int ReadySetGoParserInternal::State::m_numLayouts

the number of layouts: used for v3

## ◆ m_numStyles

int ReadySetGoParserInternal::State::m_numStyles

the number of styles: v4

## ◆ m_patterns

std::vector<MWAWGraphicStyle::Pattern> ReadySetGoParserInternal::State::m_patterns

the list of patterns: v3

Referenced by get(), and initPatterns().

## ◆ m_version

int ReadySetGoParserInternal::State::m_version

the file version, used to define the patterns, ...

Referenced by initColors(), and initPatterns().

The documentation for this struct was generated from the following file:

- ReadySetGoParser.cxx